# Generated by Django 4.1.3 on 2023-03-28 16:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("tickets", "0002_alter_comment_options_alter_attachment_added_by_and_more"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Documents",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("check_date", models.DateTimeField(help_text="timestamp проверки")),
                (
                    "check_level",
                    models.IntegerField(
                        help_text="информация об уровне проверки. Документ может быть проверен как платформой, так и мета-сервисом, так и партнером мета-сервиса, а может быть и никем (просто загружен). Указывается, так как достоверность проверки разная. Документ, проверенный только на низком уровне, не принимается во внимание как имеющийся до прохождения более высокоуровневой проверки. Информацию об уровнях проверки можно посмотреть по словарю Requirements. В данной таблице хранится информация о наиболее высоком уровне проверки."
                    ),
                ),
                (
                    "expire_date",
                    models.DateTimeField(
                        help_text="срок окончания действия документа.", null=True
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                ("requirements", models.CharField(max_length=150)),
                (
                    "status",
                    models.CharField(
                        help_text="активность на основе системы заявок", max_length=150
                    ),
                ),
                (
                    "datalink",
                    models.TextField(
                        blank=True,
                        help_text="адрес фактического размещения на физическом носителе, если информация настолько велика, что не может храниться внутри БД.",
                    ),
                ),
                (
                    "doc_type",
                    models.CharField(
                        help_text="тип документа (паспорт/паспорт 1 страница и т д) в соответствии с классификатором типов документов (см описание в Requirements)",
                        max_length=150,
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="доступны ли документы для хранения в глобальном сервисе/нужна синхронизация",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="доступна ли информация о наличии документов для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "checked_by",
                    models.ForeignKey(
                        help_text="userid проверившего",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="checked_by",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
                (
                    "user_id",
                    models.ForeignKey(
                        help_text="уникальный идентификатор пользователя (конкретного клиентского аккаунта) являющегося владельцем данного документа",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="user_id",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "documents",
            },
        ),
    ]
